Импорт android.support.v7.app не может быть решен

? peter_f @ | Original: StackOverFlow
---

после обновления до Затмение Кеплера, я не был в состоянии добавить поддержку библиотеки AppCompat . Я следовал за этим http://developer.android.com/tools/support-library/setup.html#libs-with-res и я все еще получаю ошибкуимпорта android.support.v7.app не могут быть решены на следующие строки :

import android.support.v7.app.ActionBar;
import android.support.v7.app.ActionBarActivity;

Я добавил AppCompat проект, добавил обе банки в путь сборки, выбрали их на вкладке Порядок и экспорта, и добавил проект библиотеки в главном проекте.

Импорт android.support.v7.app не может быть решен

Импорт android.support.v7.app не может быть решен

Я скопировал v4 библиотеку в папку с библиотеками в главном проекте, но я не знаю, что еще сделать или проверить . Кто-нибудь есть какие-либо предложения ??

Thank you!

---

Top 5 ответ

1Gueste @

Я новичок в Eclipse, но я имел такую ​​же ошибку и как-то установил его . У меня было 2 проекта, один из них закрепилась после перезагрузки или что-то, первый я фиксировали добавлением назад на импорт товаров, то я или затмение удалены. шахтные импорт :

import android.content.res.Resources;
import android.graphics.Typeface;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.ImageView;
import android.widget.TextView;

Прибавьте любого, что Вы по-прежнему необходимо . Надежда, что помогает

2Joey Garcia @

Питер, я была такая же проблема, и это, как я установил его в Android Studio.

1 ) Щелкните правой кнопкой мыши щелкните проект от проекта оконное стекло и выберите Открыть настройки модуля

2 ) На левой стороне выберите приложение, затем выберите вкладку Зависимости в правом верхнем углу

3 ) Нажмите кнопку + в левом нижнем углу, выберите Библиотека Зависимость

4 ) Либо введите или выберите AppCompat -V7 ( com.android.support:appcompat-v7:20.0.0 )

5 ) Нажмите кнопку ОК в окне Выбор библиотека зависимостей

6 ) нажмите кнопку ОК или применить на этом окне структуру проекта .

Теперь, как и должно быть в состоянии осуществить в недостающего класса.

3Matheus Santos @

После добавления appcompat_v7 ваших зависимостей, убедитесь, чтоlibs папка из проекта пусты. По умолчанию ,Android -поддержка - v4.jar создается, когда вы определяете свой ​​проект, так что это вызовет конфликт, когда вы объявляете appcompat_v7 библиотеку в качестве зависимости.

Таким образом,первое, что вам нужно сделать, это проверить папку .../My_Project/libs и бесстрашно удалить файл android-support-v4.jar .

Затем добавьте appcompat_v7 библиотеку в качестве зависимости вашего проекта : Чтобы сделать это, если вы используете Eclipse:

Right click in your project folder, located in the Navigator. Click in properties, in the final of the list. In the Properties window, select the Android option (left menu). In the box Library, add your new reference.

Если вы используете Android Studio, вы можете следовать действия, описанные в комментарии в Joey Гарсиа.

Поддержка Библиотека Setup -  https://developer.android.com/tools/support-library/setup.html

Позвольте мне знать, если это поможет вам. Удачи!